Touch (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Touch,Touch class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Touch

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Touch

public class Touch
extends Task

Touch a file and/or fileset(s) and/or filelist(s); corresponds to the Unix touch command.

If the file to touch doesn't exist, an empty one is created.

Note: Setting the modification time of files is not supported in JDK 1.1.

Since:
  Ant 1.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Touch()`

Method Summary
`void` | `addFilelist(FileList list)` Add a filelist to touch
`void` | `addFileset(FileSet set)` Add a set of files to touch
`void` | `execute()` Execute the touch operation.
`void` | `setDatetime(java.lang.String dateTime)` the new modification time of the file in the format "MM/DD/YYYY HH:MM AM or PM" or "MM/DD/YYYY HH:MM:SS AM or PM".
`void` | `setFile(java.io.File file)` Sets a single source file to touch.
`void` | `setMillis(long millis)` the new modification time of the file in milliseconds since midnight Jan 1 1970.
`protected void` | `touch()` Does the actual work; assumes everything has been checked by now.
`protected void` | `touch(java.io.File file)` touch a single file with the current timestamp (this.millis)

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Touch

    public Touch()

Method Detail

### setFile

    public void setFile(java.io.File file)

  Sets a single source file to touch. If the file does not exist an empty file will be created.

### setMillis

    public void setMillis(long millis)

  the new modification time of the file in milliseconds since midnight Jan 1 1970. Optional, default=now

### setDatetime

    public void setDatetime(java.lang.String dateTime)

  the new modification time of the file in the format "MM/DD/YYYY HH:MM AM or PM" or "MM/DD/YYYY HH:MM:SS AM or PM". Optional, default=now

### addFileset

    public void addFileset(FileSet set)

  Add a set of files to touch

### addFilelist

    public void addFilelist(FileList list)

  Add a filelist to touch

### execute

    public void execute()
                 throws BuildException

  Execute the touch operation.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### touch

    protected void touch()
                  throws BuildException

  Does the actual work; assumes everything has been checked by now.

    `BuildException`

### touch

    protected void touch(java.io.File file)
                  throws BuildException

  touch a single file with the current timestamp (this.millis)

  Parameters:
    `file` - file to touch
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.